GnomishBeige
GTK3 Themes
Score 66%
Description:

NOTE:
======
Unfortunately, after years of Gnome3, even minor updates of GTK+ or Gnome-Shell break themes and waste hours of work.


GnomishBeige is a clean beige theme for GTK3, plus a matching GTK2 theme that depends on the latest Murrine and Pixmap engines.

*** Current Dependencies ***

GTK3 = 3.12.X (works with 3.10 and maybe with 3.8 too)
gtk2-engines-murrine >= 0.98.1.1 (for GTK2)
gtk2-engines-pixbuf >= 2.24.10 (for GTK2)
Metacity >= 2.34 (for GTK2)

*** Notes ***

1) Ubuntu users should remove the package(s) "overlay-scrollbar" if they see blackened widget areas or if they just want to have the default scrollbars. See https://bugs.launchpad.net/ubuntu/+source/overlay-scrollbar/+bug/1064147

2) Please take a look at the file "README" in the theme folder for a tip on Epiphany.

3) You won't need the source package unless you want to modify the theme or make a deb or an rpm package from it.
Last changelog:

3 years ago

.....

Jul 25 2013
-----------
Updated for Gnome-3.8.
Removed the dark variant (which was useless anyway; dark theme lovers could use GnomishDark).

Mar 1 2014
-----------
Updated for GTK+-3.10 but should work with 3.8 too.
Dropped the Shell theme (its maintenance wasn't possible due to the shaky state of Gnome-Shell).

Mar 3 2014
-----------
Added a matching Unity theme for Ubuntu Trusty. Thanks to Alin (hotice).

Apr 25 2014
-----------
No dependency on Adwaita anymore.
Updated for GTK+-3.12 (still works with 3.10).

May 9 2014
-----------
Added support for Gnome's client side decorations (second screnshot).

bjgood

2 years ago

tsujan,
This is my most favorite theme of all time. I've been using it quite a while now. It's beautiful...and yet easy on the eyes. IMO, very tastefully done.

Bob

Report

tsujan

2 years ago

Thank you vey much for your kind words!

I'm sorry to say that, keeping a distance from everything related to Gnome or GTK, most probably I won't update this theme anymore and, due to the Gnome dev's habit of breaking themes, it won't work with a future version of GTK.

The only GTK theme, that I may update, is E17gtk (for use under E).

Report

hotice

3 years ago

Ubuntu 14.04 (Unity) now uses GTK3 CSS themed window decorations... could you please add support for it?

More info:
http://www.webupd8.org/2014/02/ubuntu-1404-unity-gets-new-gtk3-css.html
https://wiki.ubuntu.com/Unity/Theming

Report

tsujan

3 years ago

I update my works based on what's in Debian Testing/Unstable because I prefer to have a really stable and working system. I also keep an eye on the latest STABLE Ubuntu too (on VirtualBox) because of Unity. So please wait until Ubuntu 14.4 becomes stable or use a compatible theme! This theme may not even work with gtk-3.12.

Report

hotice

3 years ago

Ubuntu 14.04 uses GTK 3.10 (and won't update to 3.12) so GTK is not an issue...

Report

tsujan

3 years ago

OK, I'm downloading Trusty's ISO image now. If it works smoothly on VirtualBox, I'll add support for the new Unity decorations soon because the direction Ubuntu goes in seems promising to me.

Report

hotice

3 years ago

Thank you!

Report

tsujan

3 years ago

I added a Unity theme for Trusty and tested it on VirtualBox. The theme is updated now. It would be great if you test it too.

Thanks for telling me about the new CSS Unity theme!

Report

hotice

3 years ago

Thank you! I'm using it now and it works great. Also, it looks like the overlay-scrollbars and black widgets bug doesn't occur any more in Ubuntu 14.04.

Report

tsujan

3 years ago

The overlay-scrollbar bug shows itself only with some (rare) themes that use a general gradient for windows. GnomishBeige isn't among them but GnomishGray is.

I'll add a Unity theme to my other themes later.

Report

ricsz

3 years ago

Tsujan,

Very good and smart theme.

Don't stop, go on this theme.



Used on Debian jessie / xfce4.10 and works with gtk 3.8 (if download from NoobsLab depot)

Report

tsujan

3 years ago

Thank you! I usually update the theme(s) whenever the latest version of GTK+-3.0 (Gnome3) comes to Debian unstable.

Report

Karmicbastler

4 years ago

hi tsujan,

I voted your nice content up. What about this suggestion:
packing all your themes into one ppa-repository?? This would
make things easier for you in case of maintaining. And users
would have it easier with updating your nice themes.

Greetings
Karmicbastler

Report

tsujan

4 years ago

Thank you, Karmicbastler!

NoobsLab (https://launchpad.net/~noobslab/) and WebUpd8 (https://launchpad.net/~webupd8team/) nicely pack all my Gnome related themes.

Apart from that, on the one hand, PPA only covers Debian based systems and, othe other hand, my focus is on KDE nowadays (Gnome3 breaks themes with every update besides many other problems it creates for users).

Report

Jergnome

4 years ago

Thanks for this Theme. I've been using it for a while and I love it.

Since a few days or weeks, in applications such as transmission or evince, the menus are clear, instead of dark, which makes them hard to read and unconsistent with other applications. I suppose it is a matter of GTK2 / GTK3 difference.

Is this a known issue ? Is there something I can do about it ?

Thanks again.

Report

tsujan

4 years ago

As I was busy with updating my other two themes, I haven't updated GnomishBeige yet, so the issue may be because your installed GTK version is 3.8.

I'll upload a new version in a few days. Thank you for reminding me :)

Report

Jergnome

4 years ago

Hi.

I don't know how to check that but you're probably right about GTK 3.8 being the cause.

Thanks for answering.

Is there a chance GnomishBeige could be integrated in debian repos ? A place I could support that integration ?

Report

tsujan

4 years ago

So you're a Debian user like I am :) Yes, GTK+ has been updated to 3.8 in Debian Testing but Gnome is still 3.4.

WebUpd8 nicely packages all Gnomish themes at:

https://launchpad.net/~webupd8team/+archive/themes

Also NoobsLab kindly makes deb packages at:

https://launchpad.net/~noobslab/+archive/themes/+index

Please read about the methods of adding repositories to apt or download the packages manually.

Report

Jergnome

4 years ago

Thanks for the links. I subscribed to this page, so I'll be informed of new versions.

Yet, this is a nice theme, which deserves audience, so I'd support its integration in debian, be it as a gtk-theme-gnomish package or as part of a greater package like gtk-themes-extra-something.

Report

tsujan

4 years ago

Thanks a lot for your support! Debian is very strict in adding new software to its repositories and I admire it for that. If it weren't so, you'd have Gnome-3.8 now, with all of its troubles and bugs (it's in Experimental).

I think a GTK theme should be directly related to Gnome for them to add it to gnome-themes-extra and GnomishBeige isn't so. I'm not sure though.

Report

Jergnome

4 years ago

Thanks for the new version.

I just tested and it seems to work like a charm.

Note that I get a warning in the console output I don't get with Adwaita :

WARNING **: Can't load fallback CSS resource: Failed to import: La ressource dans « /org/gnome/adwaita/gtk-fallback.css » n'existe pas

(Ressource in « /org/gnome/adwaita/gtk-fallback.css » does not exist.)

Report

tsujan

4 years ago

Thank you for confirming that the new version works OK.

That console warning isn't related to the theme and seems harmless.

Report

hotice

4 years ago

The source can't be compiled anymore in the latest Dec 10 2012 version:

glib-compile-resources --sourcedir=GnomishBeige/gtk-3.0 GnomishBeige/gtk-3.0/gtk
GnomishBeige/gtk-3.0/gtk: Error on line 9 char 1: Error processing input file with to-pixdata:
failed to load "GnomishBeige/gtk-3.0/assets/menu-border.svg": Couldn't recognize the image file format for file 'GnomishBeige/gtk-3.0/assets/menu-border.svg'

Previous versions worked just fine...

Report

tsujan

4 years ago

I downloaded the source from here and found no issue: I used the same command as you did and the file gtk.gresource was created correctly.

Are you sure you haven't changed or removed anything? Please download the source and retry! That command should be issued from inside the folder gnomishbeige-20121210.

Report

hotice

4 years ago

I'm building it on launchpad and it has worked for the past few months.

Here's the build log: https://launchpadlibrarian.net/125453180/buildlog_ubuntu-quantal-i386.gnomishbeige-theme_20121210-1~webupd8~2_FAILEDTOBUILD.txt.gz

I've also had to add "libgdk-pixbuf2.0-dev" as build dependency or else it would fail to build with another error.

Report

3 years ago

.....

Jul 25 2013
-----------
Updated for Gnome-3.8.
Removed the dark variant (which was useless anyway; dark theme lovers could use GnomishDark).

Mar 1 2014
-----------
Updated for GTK+-3.10 but should work with 3.8 too.
Dropped the Shell theme (its maintenance wasn't possible due to the shaky state of Gnome-Shell).

Mar 3 2014
-----------
Added a matching Unity theme for Ubuntu Trusty. Thanks to Alin (hotice).

Apr 25 2014
-----------
No dependency on Adwaita anymore.
Updated for GTK+-3.12 (still works with 3.10).

May 9 2014
-----------
Added support for Gnome's client side decorations (second screnshot).

product-maker tremep Jul 31 2017

product-maker dubious Jul 30 2017

product-maker mudenez32 May 19 2014

product-maker larys57 May 12 2014

product-maker aynie547 May 09 2014

product-maker pamfeuer Jan 21 2014

product-maker tocb Oct 05 2013

product-maker Karmicbastler Sep 25 2013

product-maker pulpo69 Aug 01 2013

product-maker Emmi Dec 10 2012

product-maker bjgood Dec 08 2012

product-maker lolsas Aug 12 2012

product-maker sakasa Aug 11 2012

product-maker chanju Jul 08 2012

product-maker infodroid Jul 07 2012

product-maker MeaCulpa Jun 23 2012

product-maker amorpher Jun 16 2012

product-maker RAIDENSUB Jun 12 2012

product-maker teodorescup Jun 02 2012

product-maker insane74 May 03 2012

product-maker tneo Mar 01 2012

product-maker LiquidSky64 Feb 18 2012

product-maker TwoPointOh Feb 08 2012

product-maker ilverz Feb 07 2012

product-maker chrs Dec 22 2011

product-maker rogga Dec 16 2011

product-maker MikeDK Dec 11 2011

product-maker mikaji Dec 07 2011

product-maker rdf Dec 06 2011

product-maker therecorder Dec 02 2011

product-maker escortgoj Nov 23 2011

product-maker fuchur Nov 19 2011

product-maker mdbdl0869 Nov 19 2011

product-maker dudacardoso Nov 18 2011

product-maker dshdsh Jul 28 2011

product-maker rvc-2011 Jul 17 2011

product-maker cwchien Jul 15 2011

product-maker untouchable89 Jul 15 2011

product-maker sealbhach Feb 19 2011

product-maker ubuntico Feb 19 2011

product-maker Gnom-IK Feb 19 2011

product-maker Tipiaf Feb 13 2011

product-maker Ergonaut Feb 13 2011

product-maker 13 17

File (click to download) Version Description Filetype Packagetype License Downloads Date Filesize OCS-Install DL
Details
version
updated Jul 31 2017
added May 29 2010
downloads today
0
page views today 0